3 Replies Latest reply on Jul 16, 2014 12:03 AM by NombreApellido

    Hyperic hq 5.8 on osx

    NombreApellido Novice

      Hi All,

      is there a special reason why hyperic 5+ does not exist as a osx version like 4.6?

      Since 4.6 does not run on 10.9 any more (it triggers taskagentd to eat up all memory and finally crash) i am looking to upgrade.

      Or can anyone give me a hint how to install hyperic 5 on osx?

       

      Thanks in advance.

      -chris.-

        • 1. Re: Hyperic hq 5.8 on osx
          grace27 Enthusiast

          Hi

           

           

          Welcome to communities.

           

          I am not sure , but today's open source market if you customize it may work with OSX.

           

          For more how its works you need to understand .

           

          https://www.vmware.com/support/vfabric-hyperic/doc/releasenotes_hyperic581.html

           

           

          • 2. Re: Hyperic hq 5.8 on osx
            ecarmel Enthusiast
            VMware Employees

            The binaries that are provided out of the box are only compiled and tested for supported platforms, and since OSX is not a server platform we don't invest time in it.

            Since many of our developers use a Mac I would be surprised if it doesn't work.

            • 3. Re: Hyperic hq 5.8 on osx
              NombreApellido Novice

              I already tested the latest release on osx, but without any success.
              Installing the server on 10.9 worked but after starting it died with

              15-07-2014 14:18:26,464 MESZ ERROR [scheduler-1] [org.springframework.scheduling.support.TaskUtils$LoggingEr

              rorHandler@95] Unexpected error occurred in scheduled task.

              org.springframework.beans.factory.BeanCreationNotAllowedException: Error creating bean with name 'agentManag

              erImpl': Singleton bean creation not allowed while the singletons of this factory are in destruction (Do not

              request a bean from a BeanFactory in a destroy method implementation!)

              ...

              org.springframework.beans.factory.UnsatisfiedDependencyException: Error creating bean with name 'UIPluginDeployer' defined in file [/Users/sedna/hyperic/server-5.8.2/hq-engine/hq-server/webapps/ROOT/WEB-INF/classes/org/hyperic/hq/ui/server/session/UIPluginDeployer.class]: Unsatisfied dependency expressed through constructor argument with index 1 of type [org.hyperic.hq.product.server.session.ProductPluginDeployer]: : Error creating bean with name 'productPluginDeployer': Invocation of init method failed; nested exception is java.lang.UnsatisfiedLinkError: org.hyperic.sigar.SysInfo.gather(Lorg/hyperic/sigar/Sigar;)V; nested exception is org.springframework.beans.factory.BeanCreationException: Error creating bean with name 'productPluginDeployer': Invocation of init method failed; nested exception is java.lang.UnsatisfiedLinkError: org.hyperic.sigar.SysInfo.gather(Lorg/hyperic/sigar/Sigar;)V

              ...

              Caused by: java.lang.UnsatisfiedLinkError: org.hyperic.sigar.SysInfo.gather(Lorg/hyperic/sigar/Sigar;)V

                      at org.hyperic.sigar.SysInfo.gather(Native Method)

                      at org.hyperic.sigar.OperatingSystem.getInstance(OperatingSystem.java:92)

               

              This looks like the sigar jnilib is not in place or broken.

              But the sigar jnilib is included in the release and I even build a sigar binary from source and replaced it. But it's still the same problem.

              Maybe someone can hint me on how to fix this problem.

              Thank you!